Tip / Sign in to post questions, reply, level up, and achieve exciting badges. Know more

DAVE™ Forum Discussions

User10076
Level 2
Level 2
Hi friends,

I had a LWIP server in Dave 4.2.4 which was working well. I performed Dave Apps Updates and the ETH_LWIP app upgraded itself from 4.0.4 to 4.0.6. Now - using the same code - i can only connect a client to my server.
When I want to send a message, I receive a RST & ACK flags (not PSH & ACK as in the older version) and the connection is interrupted.

Some explanations for RST return flag that i found are that the port and the IP address are not binded, or the socket is closed. The error status of these two cases is ERR_OK, so this should not be the problem.
The generated files are almost identical. The app configuration is identical. I don't know where could be the problem. I attached 2 print screens of the Ethernet traffic.

A quick and dirty solution was to replace the entire ETH_LWIP generated folder with the one from the older version. This way it works. But why?

I would really appreciate some ideas if not a solution.


2216.attach
2217.attach

Thank you,
Petru S.
0 Likes
0 Replies